clc; mode(-1);lines(0);


// vector lengths
dims = [1000,2000,5000,10000,20000,50000,100000,200000];//,500000];

// initialize elapsed times
times_c = zeros(dims);
times_d = zeros(dims);
isOK = zeros(dims);
//Histogram of a vector with dims elements, value range [1,...,255]

for i=1:length(dims)

    printf("size: %i \tcompressing: ",dims(i));
    A=(rand(1,dims(i)) .^2)*255+1; A=int(A);

    //Coding the vector
    tic();[QT,QM]=huffcode(A); times_c(i)=toc();
    printf("%1.3f sec.  decompressing: ",times_c(i));

    //Decoding the vector. Decoding is much slower. May be, you have some ideas to improve the functions
    tic();B=huffdeco(QT,QM); times_d(i)=toc();
    printf("%3.3f sec.  isOK: ",times_d(i));
    isOK(i) = isequal(A(:),B(:));

    printf("%i\n",isOK(i));

end