clc; mode(1);lines(0);
//Histogram of a vector with 10000 elements, value range [1,...,255]

A=(rand(1,10000) .^2)*255+1; A=int(A);
H=fasthist(A);
[SB,h,L,QM,avglen,entr,eff]=huffman(H);

mode(-1);
printf("\n\tNr. of Symbols: %d\n",length(SB));
printf("\tAverage Code Length: %f\n",avglen);
printf("\tEntropy: %f\n",entr);
printf("\tEffectivity of coding: %f\n\n",eff);
mode(1);
halt('Press return'); 
//Coding the vector
[QT,QM]=huffcode(A); 

halt('Press return'); 

//Decoding the vector. Decoding is much slower. May be, you have some ideas to improve the functions
B=huffdeco(QT,QM); 

halt('Press return'); 
//Show the differences (hopefully 0 everywhere !)

sum(B-A)