clc; mode(1);lines(0);
//Histogram of an 2568bit image (128 x 128 pixels) 

A=(rand(64,64) .^2)*255+1; A=int(A);
H=fasthist(A);

[SB,h,L,QM,avglen,entr,eff]=huffman(H);

mode(-1);
printf("\n\tNr. of Symbols: %d\n",length(SB));
printf("\tAverage Code Length: %f\n",avglen);
printf("\tEntropy: %f\n",entr);
printf("\tEffectivity of coding: %f\n\n",eff);
mode(1);
halt('Press return'); 
//Huffman Coding of this image
[QT,QM]=huffcode(A);

QM
halt('Press return'); 

//Huffman Decoding of this image
B=huffdeco(QT,QM);
B=matrix(B,size(A,1),size(A,2));

halt('Press return'); 
//Show the differences (hopefully 0 everywhere !)

sum(B-A)