clc; mode(1);lines(0);

//  A text string taken from wikipedia is used.
data="Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.";

H=fasthist(ascii(data));
[SB,h,L,QM,avglen,entr,eff]=huffman(H);

mode(-1);
printf("\n\tNr. of Symbols: %d\n",length(SB));
printf("\tAverage Code Length: %f\n",avglen);
printf("\tEntropy: %f\n",entr);
printf("\tEffectivity of coding: %f\n\n",eff);
mode(1);
halt('Press return'); 
//Coding the vector
[QT,QM]=huffcode(ascii(data)); 

halt('Press return'); 

//Decoding the vector
B=huffdeco(QT,QM); 

//Show the decoded text
disp(ascii(B));


